Subject: ASSC: Mitchell Brothers
From: [email-masked]
Date: 1997/08/11
Newsgroups: alt.sex.strip-clubs

[More Headers]

Bob here!

I'm still sitting here in the office with Engnr1.

I was at Mitchell Brothers earlier today.

The two movies they had there really suck.

So I suggest you hang out in NY live or maybe the free
shows in Green Door or Kopenhagen or Ultra Room.

They do have some new booths with curtains and couches.

They occupy the area formerly occupied by the Private Show.

I heard 3rd hand that dances in these new booths run in the
$100 range.

So now inflation has flared up to point were $20 for a
lap dance in a CP booth might be considered a reasonable deal.

I'll check into this and report back to ya.

Maybe I'll rely on Engnr1 for this...

He just disappeared into a CP booth with the lovely Eva.

-Bob "Can I watch?" Smyth